"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getSharedModuleMetadata = exports.sharedPluginModules = void 0;
/**
 * Modules shared between the Console application and its dynamic plugins.
 */
exports.sharedPluginModules = [
    '@openshift-console/dynamic-plugin-sdk',
    '@openshift-console/dynamic-plugin-sdk-internal',
    '@patternfly/react-core',
    '@patternfly/react-table',
    '@patternfly/quickstarts',
    'react',
    'react-helmet',
    'react-i18next',
    'react-router',
    'react-router-dom',
    'react-router-dom-v5-compat',
    'react-redux',
    'redux',
    'redux-thunk',
];
/**
 * Metadata associated with the shared modules.
 */
const sharedPluginModulesMetadata = {
    '@openshift-console/dynamic-plugin-sdk': { singleton: true, allowFallback: false },
    '@openshift-console/dynamic-plugin-sdk-internal': { singleton: true, allowFallback: false },
    '@patternfly/react-core': {},
    '@patternfly/react-table': {},
    '@patternfly/quickstarts': {},
    react: { singleton: true, allowFallback: false },
    'react-helmet': {},
    'react-i18next': { singleton: true, allowFallback: false },
    'react-router': { singleton: true, allowFallback: false },
    'react-router-dom': { singleton: true, allowFallback: false },
    'react-router-dom-v5-compat': { singleton: true, allowFallback: false },
    'react-redux': { singleton: true, allowFallback: false },
    redux: { singleton: true, allowFallback: false },
    'redux-thunk': { singleton: true, allowFallback: false },
};
/**
 * Retrieve full metadata for the given shared module.
 */
const getSharedModuleMetadata = (moduleName) => {
    const { singleton = false, allowFallback = true } = sharedPluginModulesMetadata[moduleName];
    return { singleton, allowFallback };
};
exports.getSharedModuleMetadata = getSharedModuleMetadata;
//# sourceMappingURL=shared-modules.js.map